PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_SheetView

Source Location: /PHPExcel/Worksheet/SheetView.php

### Class Overview

PHPExcel_Worksheet_SheetView

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- SHEETVIEW_NORMAL
- SHEETVIEW_PAGE_BREAK_PREVIEW
- SHEETVIEW_PAGE_LAYOUT

### Methods

- __construct
- getView
- getZoomScale
- getZoomScaleNormal
- setView
- setZoomScale
- setZoomScaleNormal
- __clone

### Class Details

[line 36]
PHPExcel_Worksheet_SheetView

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 80]

`PHPExcel_Worksheet_SheetView __construct( )`

Create a new PHPExcel_Worksheet_SheetView

#### Tags:

access: | public

[ Top ]

### method getView [line 145]

`string getView( )`

Get View

#### Tags:

access: | public

[ Top ]

### method getZoomScale [line 89]

`int getZoomScale( )`

Get ZoomScale

#### Tags:

access: | public

[ Top ]

### method getZoomScaleNormal [line 118]

`int getZoomScaleNormal( )`

Get ZoomScaleNormal

#### Tags:

access: | public

[ Top ]

### method setView [line 161]

`PHPExcel_Worksheet_SheetView setView( [string $pValue = NULL])`

Set View

Valid values are 'normal' self::SHEETVIEW_NORMAL 'pageLayout' self::SHEETVIEW_PAGE_LAYOUT 'pageBreakPreview' self::SHEETVIEW_PAGE_BREAK_PREVIEW

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setZoomScale [line 102]

`PHPExcel_Worksheet_SheetView setZoomScale( [int $pValue = 100])`

Set ZoomScale

Valid values range from 10 to 400.

#### Tags:

throws: | Exception
access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setZoomScaleNormal [line 131]

`PHPExcel_Worksheet_SheetView setZoomScaleNormal( [int $pValue = 100])`

Set ZoomScale

Valid values range from 10 to 400.

#### Tags:

throws: | Exception
access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method __clone [line 178]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### SHEETVIEW_NORMAL = 'normal'

[line 40]

[ Top ]

#### SHEETVIEW_PAGE_BREAK_PREVIEW = 'pageBreakPreview'

[line 42]

[ Top ]

#### SHEETVIEW_PAGE_LAYOUT = 'pageLayout'

[line 41]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:37 +0200 by phpDocumentor 1.4.4